package com.bzd.system.service.mdyy;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店加权设置表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SMdyyglMdysjqStoreweightsettingService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSMdyyglMdysjqStoreweightsetting(PageData pd)throws Exception {
        return daoSupport.update("SMdyyglMdysjqStoreweightsettingMapper.addSMdyyglMdysjqStoreweightsetting", pd);
    }

    public List<PageData> findSMdyyglMdysjqStoreweightsettingList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SMdyyglMdysjqStoreweightsettingMapper.selectSMdyyglMdysjqStoreweightsettingList", pd);
    }

    public Integer SMdyyglMdysjqStoreweightsettingRemove(PageData pd)throws Exception {
        return daoSupport.delete("SMdyyglMdysjqStoreweightsettingMapper.SMdyyglMdysjqStoreweightsettingRemove", pd);
    }


    public Integer updateSMdyyglMdysjqStoreweightsetting(PageData pd)throws Exception {
        return daoSupport.update("SMdyyglMdysjqStoreweightsettingMapper.updateSMdyyglMdysjqStoreweightsetting", pd);
    }

}
